apiVersion: v1
kind: Template
labels:
  app: gitea
  template: gitea-buildconfig-with-secret
metadata:
  annotations:
    description: Gitea - BuildConfig with Secret
    iconClass: icon-openshift
    openshift.io/display-name: Gitea
    tags: gitea
  name: gitea-buildconfig-with-secret
objects:
- apiVersion: v1
  kind: Secret
  metadata:
    annotations:
      template.openshift.io/expose-username: "{.data['username']}"
    name: git-wp-${GITEA_REPOSITORY_REF}
  stringData:
    username: "${GIT_DEPLOYMENT_TOKEN}"
- apiVersion: v1
  kind: BuildConfig
  metadata:
    annotations:
      description: Builds Gitea images
    labels:
      name: gitea-${GITEA_REPOSITORY_REF}
    name: gitea-${GITEA_REPOSITORY_REF}
  spec:
    failedBuildsHistoryLimit: 1
    resources:
      limits:
        cpu: 200m
        memory: 2Gi
    source:
      contextDir: /
      git:
        uri: ${GITEA_REPOSITORY_URL}
        ref: "${GITEA_REPOSITORY_REF}"
      sourceSecret:
        name: git-wp-${GITEA_REPOSITORY_REF}
      type: Git
    strategy:
      type: Docker
      dockerStrategy:
        env:
        - name: DO_LEMON
          value: foo
        - name: DO_UPGRADE
          value: foo
        forcePull: false
    output:
      to:
        kind: ImageStreamTag
        name: gitea:${GITEA_REPOSITORY_REF}
    triggers:
    - type: ImageChange
    - type: ConfigChange
parameters:
- name: FRONTNAME
  description: The name identifier assigned to objects defined in this template
  displayName: Name
  required: true
  value: demo
- name: GIT_DEPLOYMENT_TOKEN
  description: Git deployment token
  displayName: Git Deployment Token
  required: true
- name: GITEA_REPOSITORY_REF
  description: Set this to a branch name, tag or other ref of your repository if you are not using the default branch
  displayName: Git Reference
  required: true
  value: master
- name: GITEA_REPOSITORY_URL
  description: The URL of the repository with your Gitea Dockerfile
  displayName: Git Repository URL
  required: true
  value: https://gitlab.com/synacksynack/opsperator/docker-gitea.git
